Bug 65538 - Failure to create selected symlinks
Failure to create selected symlinks
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-27 03:24 EDT by Paul Moore
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-27 03:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Trivial script to fix missing service startup/shutgown symlinks. (683 bytes, text/plain)
2002-05-27 03:28 EDT, Paul Moore
no flags Details

  None (edit)
Description Paul Moore 2002-05-27 03:24:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
Chkconfig fails to detect the services mentioned below, making them 
unmaintainable. The affected services are: cpqarrayd cups kdcrotate nscd 
postfix psacct winbind ypbind

This problem is caused by the absence of SXXservice or LXXservice files in the 
rc?.d directories.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Complete install of RedHat 7.3 system.
2. chkconfig --list

Actual Results:  None of the services mentioned were shown in the list reported 
by chkconfig.

Expected Results:  The services mentioned should have been shown as being 
maintainable by chkconfig.

Additional info:

I'm not actually sure if it is chkconfigs responsibility to create the rc?.d/
[S|K][0-88]service files. Maybe this is the role of each component or part of a 

A trivial script to fix the problem by creating the appropiate symlinks 
(defaulting to disabled) is attached.
Comment 1 Paul Moore 2002-05-27 03:28:18 EDT
Created attachment 58644 [details]
Trivial script to fix missing service startup/shutgown symlinks.
Comment 2 Bill Nottingham 2002-05-28 11:43:25 EDT
This is a bug in the individual packages, for some of them. cups and postfix are
deactivated as part of the alternatives process. Some of the others it *may* be
intentional to not activate (kdcrotate is one of these, as I recall).

Note You need to log in before you can comment on or make changes to this bug.